[libav-bugs] [Bug 842] avconv does not detect the 'libmp3lame' codec although it is present

bugzilla at libav.org bugzilla at libav.org
Thu May 7 16:27:50 CEST 2015


https://bugzilla.libav.org/show_bug.cgi?id=842

vitto.giova at yahoo.it <vitto.giova at yahoo.it> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
           Assignee|bugzilla at libav.org          |lu_zero at gentoo.org

--- Comment #4 from vitto.giova at yahoo.it <vitto.giova at yahoo.it> ---
(In reply to Bence Takács from comment #3)
> Is there a comparison charrt where I can check what will I miss if I choose
> GPL or LGPL?

https://git.libav.org/?p=libav.git;a=blob;f=LICENSE

> Why the libmp3lame*.dll exists in the GPL installation package?

When libav is compiled with gpl it can be linked to gpl libraries; technically
also a lgpl version could be link to gpl libs, but it would make libav gpl too
(and most likely the application too). See
https://www.gnu.org/licenses/gpl-faq.html

The real question is why the mp3lame dll is present in the lgpl binary?

-- 
You are receiving this mail because:
You are watching all bug changes.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.libav.org/pipermail/libav-bugs/attachments/20150507/f74e2f6f/attachment.html>


More information about the libav-bugs mailing list